Package org.jboss.logmanager.config

# Class LogContextConfiguration.Factory

java.lang.Object
org.jboss.logmanager.config.LogContextConfiguration.Factory

Enclosing interface:
  `LogContextConfiguration`

public static class LogContextConfiguration.Factory extends Object
The factory class for persistent configurations.

## Method Summary

Modifier and Type
Method
Description
`static LogContextConfiguration`
`create(LogContext logContext)`
Construct a new persistent configuration for a log context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static LogContextConfiguration create(LogContext logContext)
Construct a new persistent configuration for a log context.

Parameters:
  `logContext` - the log context to configure
Returns:
  the new persistent configuration